Package weka.experiment

# Class ResultMatrixHTML

java.lang.Object
weka.experiment.ResultMatrix
weka.experiment.ResultMatrixHTML

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class ResultMatrixHTML extends ResultMatrix
This matrix is a container for the datasets and classifier setups and their statistics. It outputs the matrix in HTML.

Version:
  $Revision: 1.4 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class weka.experiment.ResultMatrix

`LEFT_PARENTHESES, LOSS_STRING, RIGHT_PARENTHESES, SIGNIFICANCE_LOSS, SIGNIFICANCE_TIE, SIGNIFICANCE_WIN, TIE_STRING, WIN_STRING`

## Constructor Summary

Constructors
Constructor
Description
`ResultMatrixHTML()`
initializes the matrix as 1x1 matrix
`ResultMatrixHTML(int cols, int rows)`
initializes the matrix with the given dimensions
`ResultMatrixHTML(ResultMatrix matrix)`
initializes the matrix with the values from the given matrix

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
removes the stored data but retains the dimensions of the matrix
`String`
`getDisplayName()`
returns the name of the output format
`String`
`getRevision()`
Returns the revision string.
`static void`
`main(String[] args)`
for testing only
`String`
`toStringHeader()`
returns the header of the matrix as a string
`String`
`toStringKey()`
returns returns a key for all the col names, for better readability if the names got cut off
`String`
`toStringMatrix()`
returns the matrix in an HTML table
`String`
`toStringRanking()`
returns the ranking in a string representation
`String`
`toStringSummary()`
returns the summary as string

### Methods inherited from class weka.experiment.ResultMatrix

`addHeader, assign, clearHeader, clearRanking, clearSummary, getAverage, getColCount, getColHidden, getColName, getColNameWidth, getColOrder, getCount, getCountWidth, getDisplayCol, getDisplayRow, getEnumerateColNames, getEnumerateRowNames, getHeader, getMean, getMeanPrec, getMeanWidth, getPrintColNames, getPrintRowNames, getRemoveFilterName, getRowCount, getRowHidden, getRowName, getRowNameWidth, getRowOrder, getShowAverage, getShowStdDev, getSignificance, getSignificanceCount, getSignificanceWidth, getStdDev, getStdDevPrec, getStdDevWidth, getVisibleColCount, getVisibleRowCount, headerKeys, setColHidden, setColName, setColNameWidth, setColOrder, setCount, setCountWidth, setEnumerateColNames, setEnumerateRowNames, setMean, setMeanPrec, setMeanWidth, setPrintColNames, setPrintRowNames, setRanking, setRemoveFilterName, setRowHidden, setRowName, setRowNameWidth, setRowOrder, setShowAverage, setShowStdDev, setSignificance, setSignificanceWidth, setSize, setStdDev, setStdDevPrec, setStdDevWidth, setSummary, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResultMatrixHTML

public ResultMatrixHTML()
initializes the matrix as 1x1 matrix

### ResultMatrixHTML

public ResultMatrixHTML(int cols, int rows)
initializes the matrix with the given dimensions

### ResultMatrixHTML

public ResultMatrixHTML(ResultMatrix matrix)
initializes the matrix with the values from the given matrix

Parameters:
  `matrix` - the matrix to get the values from

## Method Details

### getDisplayName

public String getDisplayName()
returns the name of the output format

Specified by:
  `getDisplayName` in class `ResultMatrix`

### clear

public void clear()
removes the stored data but retains the dimensions of the matrix

Overrides:
  `clear` in class `ResultMatrix`

### toStringHeader

public String toStringHeader()
returns the header of the matrix as a string

Specified by:
  `toStringHeader` in class `ResultMatrix`
See Also:
  - `ResultMatrix.m_HeaderKeys`
  - `ResultMatrix.m_HeaderValues`

### toStringMatrix

public String toStringMatrix()
returns the matrix in an HTML table

Specified by:
  `toStringMatrix` in class `ResultMatrix`

### toStringKey

public String toStringKey()
returns returns a key for all the col names, for better readability if the names got cut off

Specified by:
  `toStringKey` in class `ResultMatrix`

### toStringSummary

public String toStringSummary()
returns the summary as string

Specified by:
  `toStringSummary` in class `ResultMatrix`

### toStringRanking

public String toStringRanking()
returns the ranking in a string representation

Specified by:
  `toStringRanking` in class `ResultMatrix`

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision

### main

public static void main(String[] args)
for testing only